# every()

## `areDeterminer().every()`

Checks whether **every** of the provided [`values`](https://docs.angular-package.dev/type/are/aredeterminer/..#...values-any) pass the test implemented by the given [`checkFn`](https://docs.angular-package.dev/type/are/aredeterminer/..#checkfn-function) function.

{% code title="are-determiner.func.ts" %}

```typescript
{
  every: <Payload extends CommonPayload>(
    callback: ResultCallback<any, Payload> = resultCallback,
    payload?: Payload
  ): boolean =>
    callback(
      values.every((value) => checkFn(value)),
      values,
      payload
    ),
}
```

{% endcode %}

### Generic type variables

#### <mark style="color:green;">**`Payload`**</mark>**`extends`**<mark style="color:green;">**`CommonPayload`**</mark>

The `Payload` generic type variable constrained by the generic type variable [`CommonPayload`](https://docs.angular-package.dev/type/are/aredeterminer/..#commonpayloadextendsobject) indicates the type of optional parameter [`payload`](https://docs.angular-package.dev/type/type/resultcallback#payload-payload) of the supplied [`callback`](#callback-resultcallback-less-than-any-payload-greater-than) function and [`payload`](#payload-payload) optional parameter of the [`areDeterminer().every()`](#aredeterminer-.every) method from which it captures its value.

### Parameters

#### `callback: ResultCallback<any, Payload>`

A callback `function` of [`ResultCallback`](https://docs.angular-package.dev/type/type/resultcallback) type with parameters, the `value` that has been checked, the `result` of this check, and `payload` of generic type variable `Payload` with optional properties from the provided `payload`, to handle them before the `result` return. By default, it uses `resultCallback()` function.

#### `payload?: Payload`

An optional [`object`](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object) of the generic type variable [`Payload`](#payloadextendscommonpayload) is assigned to the [`payload`](https://docs.angular-package.dev/type/type/resultcallback#payload-payload) of the given [`callback`](#callback-resultcallback-less-than-any-payload-greater-than) function.

### Returns

The **return value** is a [`boolean`](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Boolean) indicating whether the provided [`values`](https://docs.angular-package.dev/type/are/aredeterminer/..#...values-any) passed the test implemented by the given [`checkFn`](https://docs.angular-package.dev/type/are/aredeterminer/..#checkfn-function) function.

## Example usage

```typescript
// Example usage.
import { areDeterminer } from '@angular-package/type';


```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.angular-package.dev/type/are/aredeterminer/every.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
